APIV1
Update a webhook endpoint
Update a webhook endpoint on your merchant account
AuthorizationBearer <token>
Merchant JWT bearer token
In: header
Scope: developers.update
Path Parameters
webhookEndpointId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Make all properties in T optional
Response Body
application/json
application/json
curl -X PATCH "https://example.com/merchant-webhooks/string" \ -H "Content-Type: application/json" \ -d '{}'{
"merchantId": "string",
"id": "string",
"signingKey": "string",
"name": "string",
"url": "string",
"events": [
"CHECKOUT_CREATED"
],
"disabled": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"http_status_code": 100,
"moreInfo": "https://www.randomurl.com",
"name": "string",
"detail": "string",
"instance": "/pets/dogs/123",
"property1": null,
"property2": null
}